Prosiectau

GET https://tistos.com/api/projects/
curl --request GET \
--url 'https://tistos.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
Paramedrau Manylion Disgrifiad
search Dewisol String Y llinell chwilio.
search_by Dewisol String Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: name.
datetime_field Dewisol String Gwerthoedd a ganiateir: datetime, last_datetime
datetime_start Dewisol String Hidlo canlyniadau gan ddechrau o'r dyddiad a'r amser hwn. Fformat Y-m-d H:i:s.
datetime_end Dewisol String Hidlo canlyniadau hyd at y dyddiad a'r amser hwn. Fformat Y-m-d H:i:s.
order_by Dewisol String Pa faes i drefnu'r canlyniadau yn ôl. Mae'r gwerthoedd a ganiateir yn: project_id, datetime, last_datetime, name.
order_type Dewisol String Trefniant y canlyniadau. Mae'r gwerthoedd a ganiateir yn: ASC ar gyfer trefniant cynyddol, a DESC ar gyfer trefniant isel.
page Dewisol Cyfanrif Y rhif tudalen y dymunwch gael canlyniadau ohono. Mae'n dod yn ddiofyn i 1.
results_per_page Dewisol Cyfanrif Faint o ganlyniadau ydych chi am bob tudalen. Mae'r gwerthoedd a ganiateir yn: 10, 25, 50, 100, 250, 500, 1000. Mae'r rhagosodiad yn 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "email_reports": [1],
            "last_datetime": null,
            "datetime": "2026-07-18 11:34:31",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/projects?page=1",
        "last": "https://tistos.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/projects?page=1"
    }
}
GET https://tistos.com/api/projects/{project_id}
curl --request GET \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "email_reports": [1],
        "last_datetime": null,
        "datetime": "2026-07-18 11:34:31",
    }
}
POST https://tistos.com/api/projects
Paramedrau Manylion Disgrifiad
name Angenrheidiol String -
color Dewisol String -
email_reports Dewisol Arolygiad ID triniwr hysbysiadau
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
    "data": {
        "id": 1,
        "email_reports": [1]
    }
}
POST https://tistos.com/api/projects/{project_id}
Paramedrau Manylion Disgrifiad
name Dewisol String -
color Dewisol String -
email_reports Dewisol Arolygiad ID triniwr hysbysiadau
curl --request POST \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
    "data": {
        "id": 1,
        "email_reports": [1]
    }
}
DELETE https://tistos.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://tistos.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \